Revoke one of this user's approver devices.
DELETE
Secret API key operationId: revoke_device/v1/os/devices/{id} Authorization
Server-to-server. Send a secret key as a Bearer token plus the x-application-id header.
Path parameters
idstring<uuid> requiredApprover device id
Responses
200 Revoked
{
"data": {
"active": false,
"created_at": "2026-01-15T09:30:00Z",
"id": "018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f",
"label": "string",
"last_seen_at": "2026-01-15T09:30:00Z",
"platform": "string"
},
"error": {
"code": "string",
"message": "string"
},
"meta": {
"timestamp": "string"
},
"success": false
} 404 Not found
Request
curl -X DELETE "https://api.identrahq.com/v1/os/devices/018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f" \Try it
live requestDELETE
https://api.identrahq.com/v1/os/devices/018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f